filemtime
fileperms
Filesystem Functions
PHP Manual

# fileowner

(PHP 4, PHP 5)

fileowner — Gets file owner

### Description

int fileowner ( string `$filename` )

Gets the file owner.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns the user ID of the owner of the file, or `FALSE` in case of an error. The user ID is returned in numerical format, use posix_getpwuid() to resolve it to a username.

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

### See Also

- stat()

filemtime
fileperms
Filesystem Functions
PHP Manual